import { ExecutorContext } from '@nx/devkit';
export interface DeployExecutorSchema {
    functionName: string;
    runtime?: 'nodejs16' | 'nodejs18' | 'nodejs20' | 'recommended';
    entryPoint?: string;
    serviceAccount?: string;
    memory?: '128MB' | '256MB' | '512MB' | '1024MB' | '2048MB' | '4096MB';
    region: string;
    envVarsFile?: string;
    envVars?: Record<string, string>;
    allowUnauthenticated?: boolean;
    maxInstances?: number;
    trigger?: 'http' | 'topic' | 'recourse' | 'bucket';
    triggerValue?: string;
    triggerEvent?: string;
    triggerLocation?: string;
    ingressSettings?: 'all' | 'internal-only' | 'internal-and-gclb';
    egressSettings?: 'all' | 'private-ranges-only';
    vpcConnector?: string;
    securityLevel?: 'secure-optional' | 'secure-always';
    project?: string;
    retry?: boolean;
    secrets?: string[] | Record<string, string>;
    gen?: 1 | 2;
    concurrency?: number;
    timeout?: number;
    cloudSqlInstance?: string;
    cpu?: number;
    __runner?: {
        endpoint?: string;
    };
}
export declare function deployExecutor(options: DeployExecutorSchema, context: ExecutorContext): Promise<{
    success: boolean;
}>;
export default deployExecutor;
