"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = update;
/* eslint-disable @typescript-eslint/no-unused-vars */
const devkit_1 = require("@nx/devkit");
const project_configuration_1 = require("nx/src/generators/utils/project-configuration");
/**
 * Migrates all functions with @nx-extend/gcp-functions:deploy target to:
 * - Delete "gen": 2, as this is the new default
 * - Adds "gen": 1, to keep behavior as is
 */
function update(tree) {
    const projects = (0, project_configuration_1.getProjects)(tree);
    for (const [name, project] of projects) {
        const deployTarget = Object.keys(project.targets).find((target) => (project.targets[target].executor === '@nx-extend/gcp-functions:deploy'));
        if (deployTarget) {
            const options = project.targets[deployTarget].options;
            if (options.gen && options.gen === 2) {
                delete options.gen;
            }
            else {
                options.gen = 1;
            }
            project.targets[deployTarget].options = options;
            (0, devkit_1.updateProjectConfiguration)(tree, name, project);
        }
    }
}
//# sourceMappingURL=change-function-gen.js.map